High Priest Biotin:
To change profession to become a Human Wizard, you must be at least level 20 and pass the Test of the Human Wizard. Even when you have passed the test, though, you cannot change profession here. It is important that those who are ready for a new profession should have experienced some of the wider world.
To change profession, you should go to the Kingdom of Aden by boat. There is a harbor southwest of here -- take a boat there that goes to the village of Gludin. Get off at the village of Gludin and visit the temple to meet High Priestess Levian. She will test your ability and, if you are ready, can change your profession to a Human Wizard.
Or, you can visit High Priest Raymond in the town of Gludio, to the west of the village of Gludin.
Return